package com.steering.pss.judge.model;

/**
 * 数据库表CRAFT_ORD_DESIGN所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2018-12-12
 */
@SuppressWarnings("serial")
public class CraftOrdDesignEntity implements java.io.Serializable {
    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     */
    private String ordLnPk = "";
    /**
     * 序号
     */
    private String craftSeq = "";
    /**
     * 工艺文件号
     */
    private String craftNo = "";
    /**
     * DESGIN_KEY
     */
    private String desginKey = "";
    /**
     * 0解锁状态， 1锁定状态
     */
    private String lockFlag = "";
    /**
     * 有效标志(1:生效，0:无效,  2：制定中，3:待科室审核 4:待部门审核 5:失败, 6:待相关科室审核, 7:待批准, 9:待生成 8:变更待生效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 生成人
     */
    private String deleteName = "";
    /**
     * 生成时间
     */
    private String deleteTime = "";
    /**
     * 审核人(科室审核)   第一步
     */
    private String auditName = "";
    /**
     * 审核时间(科室审核)
     */
    private String auditTime = "";
    /**
     * 审批人(部门) --制造部的合同行审批通过后即生效   第三步
     */
    private String approvalName = "";
    /**
     * 审批时间(部门)
     */
    private String approvalTime = "";
    /**
     * 工艺负责人
     */
    private String craftName = "";
    /**
     * 工艺指派时间
     */
    private String craftTime = "";
    /**
     * 工艺负责人ID
     */
    private String craftId = "";
    /**
     * 质量设计结果标志 （1取质量设计结果 0重新工艺制定的结果）
     */
    private String qualityFlag = "";
    /**
     * 审核或审批不通过原因
     */
    private String reason = "";
    /**
     * 工艺文件路径
     */
    private String craftPath = "";
    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     */
    private String craftNoV = "";
    /**
     * 工艺文件来源（人工上传，系统生成）
     */
    private String craftSource = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 审核人(相关科室审核)  第二步
     */
    private String auditName1 = "";
    /**
     * 审核时间(相关科室审核)
     */
    private String auditTime1 = "";
    /**
     * 审批人(批准) --只有技术中心的合同行需要批准后才能生效 第四步
     */
    private String approvalName1 = "";
    /**
     * 审批时间(批准)
     */
    private String approvalTime1 = "";
    /**
     * 轧管二级工艺文件主键集合
     */
    private String craftFileLv2D = "";
    /**
     * 镦拔扩二级工艺文件主键集合
     */
    private String craftFileLv2E = "";
    /**
     * 热处理二级工艺文件主键集合
     */
    private String craftFileLv2F = "";
    /**
     * 加工二级工艺文件主键集合
     */
    private String craftFileLv2G = "";
    /**
     * 接箍加工二级工艺文件主键集合
     */
    private String craftFileLv2H = "";
    /**
     * 轧管二级工艺文件主键集合
     */
    private String craftFileLv2DDesc = "";
    /**
     * 镦拔扩二级工艺文件主键集合
     */
    private String craftFileLv2EDesc = "";
    /**
     * 热处理二级工艺文件主键集合
     */
    private String craftFileLv2FDesc = "";
    /**
     * 加工二级工艺文件主键集合
     */
    private String craftFileLv2GDesc = "";
    /**
     * 接箍加工二级工艺文件主键集合
     */
    private String craftFileLv2HDesc = "";
    /**
     * 二级工艺文件修改人
     */
    private String updateNameLv2 = "";
    /**
     * 二级工艺文件修改时间
     */
    private String updateTimeLv2 = "";
    /**
     * 是否在物料基础表中把自动生成工艺文件置为‘1’
     */
    private String materialAutoCraft = "";
    /**
     * 是否在制程标准把自动生成工艺文件置为‘1’
     */
    private String backlogAutoCraft = "";
    /**
     * 工艺变更说明
     */
    private String craftChangeMemo = "";
    /**
     * 轧管确认标志    0：没确认  1：确认
     */
    private String flagD = "";
    /**
     * 镦拔扩确认标志  0：没确认  1：确认
     */
    private String flagE = "";
    /**
     * 热处理确认标志  0：没确认  1：确认
     */
    private String flagF = "";
    /**
     * 加工确认标志  0：没确认  1：确认
     */
    private String flagG = "";
    /**
     * 接箍加工确认标志  0：没确认  1：确认
     */
    private String flagH = "";
    /**
     * 理化是否首日检 0否  1是
     */
    private String picFdCheck = "";
    /**
     * 水压是否首日检 0否  1是
     */
    private String wicFdCheck = "";
    /**
     * 成分是否首日检 0否  1是
     */
    private String cicFdCheck = "";

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * 序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftNo() {
        return craftNo;
    }

    /**
     * 工艺文件号
     * @param craftNo value
     */
    public void setCraftNo(String craftNo) {
        this.craftNo = craftNo;
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesginKey() {
        return desginKey;
    }

    /**
     * DESGIN_KEY
     * @param desginKey value
     */
    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    /**
     * 0解锁状态， 1锁定状态
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 0解锁状态， 1锁定状态
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    /**
     * 有效标志(1:生效，0:无效,  2：制定中，3:待科室审核 4:待部门审核 5:失败, 6:待相关科室审核, 7:待批准, 9:待生成 8:变更待生效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:生效，0:无效,  2：制定中，3:待科室审核 4:待部门审核 5:失败, 6:待相关科室审核, 7:待批准, 9:待生成 8:变更待生效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 生成人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 生成人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 生成时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 生成时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 审核人(科室审核)   第一步
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 审核人(科室审核)   第一步
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 审核时间(科室审核)
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 审核时间(科室审核)
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 审批人(部门) --制造部的合同行审批通过后即生效   第三步
     * @return value
     */
    public String getApprovalName() {
        return approvalName;
    }

    /**
     * 审批人(部门) --制造部的合同行审批通过后即生效   第三步
     * @param approvalName value
     */
    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    /**
     * 审批时间(部门)
     * @return value
     */
    public String getApprovalTime() {
        return approvalTime;
    }

    /**
     * 审批时间(部门)
     * @param approvalTime value
     */
    public void setApprovalTime(String approvalTime) {
        this.approvalTime = approvalTime;
    }

    /**
     * 工艺负责人
     * @return value
     */
    public String getCraftName() {
        return craftName;
    }

    /**
     * 工艺负责人
     * @param craftName value
     */
    public void setCraftName(String craftName) {
        this.craftName = craftName;
    }

    /**
     * 工艺指派时间
     * @return value
     */
    public String getCraftTime() {
        return craftTime;
    }

    /**
     * 工艺指派时间
     * @param craftTime value
     */
    public void setCraftTime(String craftTime) {
        this.craftTime = craftTime;
    }

    /**
     * 工艺负责人ID
     * @return value
     */
    public String getCraftId() {
        return craftId;
    }

    /**
     * 工艺负责人ID
     * @param craftId value
     */
    public void setCraftId(String craftId) {
        this.craftId = craftId;
    }

    /**
     * 质量设计结果标志 （1取质量设计结果 0重新工艺制定的结果）
     * @return value
     */
    public String getQualityFlag() {
        return qualityFlag;
    }

    /**
     * 质量设计结果标志 （1取质量设计结果 0重新工艺制定的结果）
     * @param qualityFlag value
     */
    public void setQualityFlag(String qualityFlag) {
        this.qualityFlag = qualityFlag;
    }

    /**
     * 审核或审批不通过原因
     * @return value
     */
    public String getReason() {
        return reason;
    }

    /**
     * 审核或审批不通过原因
     * @param reason value
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * 工艺文件路径
     * @return value
     */
    public String getCraftPath() {
        return craftPath;
    }

    /**
     * 工艺文件路径
     * @param craftPath value
     */
    public void setCraftPath(String craftPath) {
        this.craftPath = craftPath;
    }

    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     * @return value
     */
    public String getCraftNoV() {
        return craftNoV;
    }

    /**
     * 工艺文件版本号（工艺文件号相同时，取最大的版本号+1）
     * @param craftNoV value
     */
    public void setCraftNoV(String craftNoV) {
        this.craftNoV = craftNoV;
    }

    /**
     * 工艺文件来源（人工上传，系统生成）
     * @return value
     */
    public String getCraftSource() {
        return craftSource;
    }

    /**
     * 工艺文件来源（人工上传，系统生成）
     * @param craftSource value
     */
    public void setCraftSource(String craftSource) {
        this.craftSource = craftSource;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 审核人(相关科室审核)  第二步
     * @return value
     */
    public String getAuditName1() {
        return auditName1;
    }

    /**
     * 审核人(相关科室审核)  第二步
     * @param auditName1 value
     */
    public void setAuditName1(String auditName1) {
        this.auditName1 = auditName1;
    }

    /**
     * 审核时间(相关科室审核)
     * @return value
     */
    public String getAuditTime1() {
        return auditTime1;
    }

    /**
     * 审核时间(相关科室审核)
     * @param auditTime1 value
     */
    public void setAuditTime1(String auditTime1) {
        this.auditTime1 = auditTime1;
    }

    /**
     * 审批人(批准) --只有技术中心的合同行需要批准后才能生效 第四步
     * @return value
     */
    public String getApprovalName1() {
        return approvalName1;
    }

    /**
     * 审批人(批准) --只有技术中心的合同行需要批准后才能生效 第四步
     * @param approvalName1 value
     */
    public void setApprovalName1(String approvalName1) {
        this.approvalName1 = approvalName1;
    }

    /**
     * 审批时间(批准)
     * @return value
     */
    public String getApprovalTime1() {
        return approvalTime1;
    }

    /**
     * 审批时间(批准)
     * @param approvalTime1 value
     */
    public void setApprovalTime1(String approvalTime1) {
        this.approvalTime1 = approvalTime1;
    }

    /**
     * 轧管二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2D() {
        return craftFileLv2D;
    }

    /**
     * 轧管二级工艺文件主键集合
     * @param craftFileLv2D value
     */
    public void setCraftFileLv2D(String craftFileLv2D) {
        this.craftFileLv2D = craftFileLv2D;
    }

    /**
     * 镦拔扩二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2E() {
        return craftFileLv2E;
    }

    /**
     * 镦拔扩二级工艺文件主键集合
     * @param craftFileLv2E value
     */
    public void setCraftFileLv2E(String craftFileLv2E) {
        this.craftFileLv2E = craftFileLv2E;
    }

    /**
     * 热处理二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2F() {
        return craftFileLv2F;
    }

    /**
     * 热处理二级工艺文件主键集合
     * @param craftFileLv2F value
     */
    public void setCraftFileLv2F(String craftFileLv2F) {
        this.craftFileLv2F = craftFileLv2F;
    }

    /**
     * 加工二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2G() {
        return craftFileLv2G;
    }

    /**
     * 加工二级工艺文件主键集合
     * @param craftFileLv2G value
     */
    public void setCraftFileLv2G(String craftFileLv2G) {
        this.craftFileLv2G = craftFileLv2G;
    }

    /**
     * 接箍加工二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2H() {
        return craftFileLv2H;
    }

    /**
     * 接箍加工二级工艺文件主键集合
     * @param craftFileLv2H value
     */
    public void setCraftFileLv2H(String craftFileLv2H) {
        this.craftFileLv2H = craftFileLv2H;
    }

    /**
     * 轧管二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2DDesc() {
        return craftFileLv2DDesc;
    }

    /**
     * 轧管二级工艺文件主键集合
     * @param craftFileLv2DDesc value
     */
    public void setCraftFileLv2DDesc(String craftFileLv2DDesc) {
        this.craftFileLv2DDesc = craftFileLv2DDesc;
    }

    /**
     * 镦拔扩二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2EDesc() {
        return craftFileLv2EDesc;
    }

    /**
     * 镦拔扩二级工艺文件主键集合
     * @param craftFileLv2EDesc value
     */
    public void setCraftFileLv2EDesc(String craftFileLv2EDesc) {
        this.craftFileLv2EDesc = craftFileLv2EDesc;
    }

    /**
     * 热处理二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2FDesc() {
        return craftFileLv2FDesc;
    }

    /**
     * 热处理二级工艺文件主键集合
     * @param craftFileLv2FDesc value
     */
    public void setCraftFileLv2FDesc(String craftFileLv2FDesc) {
        this.craftFileLv2FDesc = craftFileLv2FDesc;
    }

    /**
     * 加工二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2GDesc() {
        return craftFileLv2GDesc;
    }

    /**
     * 加工二级工艺文件主键集合
     * @param craftFileLv2GDesc value
     */
    public void setCraftFileLv2GDesc(String craftFileLv2GDesc) {
        this.craftFileLv2GDesc = craftFileLv2GDesc;
    }

    /**
     * 接箍加工二级工艺文件主键集合
     * @return value
     */
    public String getCraftFileLv2HDesc() {
        return craftFileLv2HDesc;
    }

    /**
     * 接箍加工二级工艺文件主键集合
     * @param craftFileLv2HDesc value
     */
    public void setCraftFileLv2HDesc(String craftFileLv2HDesc) {
        this.craftFileLv2HDesc = craftFileLv2HDesc;
    }

    /**
     * 二级工艺文件修改人
     * @return value
     */
    public String getUpdateNameLv2() {
        return updateNameLv2;
    }

    /**
     * 二级工艺文件修改人
     * @param updateNameLv2 value
     */
    public void setUpdateNameLv2(String updateNameLv2) {
        this.updateNameLv2 = updateNameLv2;
    }

    /**
     * 二级工艺文件修改时间
     * @return value
     */
    public String getUpdateTimeLv2() {
        return updateTimeLv2;
    }

    /**
     * 二级工艺文件修改时间
     * @param updateTimeLv2 value
     */
    public void setUpdateTimeLv2(String updateTimeLv2) {
        this.updateTimeLv2 = updateTimeLv2;
    }

    /**
     * 是否在物料基础表中把自动生成工艺文件置为‘1’
     * @return value
     */
    public String getMaterialAutoCraft() {
        return materialAutoCraft;
    }

    /**
     * 是否在物料基础表中把自动生成工艺文件置为‘1’
     * @param materialAutoCraft value
     */
    public void setMaterialAutoCraft(String materialAutoCraft) {
        this.materialAutoCraft = materialAutoCraft;
    }

    /**
     * 是否在制程标准把自动生成工艺文件置为‘1’
     * @return value
     */
    public String getBacklogAutoCraft() {
        return backlogAutoCraft;
    }

    /**
     * 是否在制程标准把自动生成工艺文件置为‘1’
     * @param backlogAutoCraft value
     */
    public void setBacklogAutoCraft(String backlogAutoCraft) {
        this.backlogAutoCraft = backlogAutoCraft;
    }

    /**
     * 工艺变更说明
     * @return value
     */
    public String getCraftChangeMemo() {
        return craftChangeMemo;
    }

    /**
     * 工艺变更说明
     * @param craftChangeMemo value
     */
    public void setCraftChangeMemo(String craftChangeMemo) {
        this.craftChangeMemo = craftChangeMemo;
    }

    /**
     * 轧管确认标志    0：没确认  1：确认
     * @return value
     */
    public String getFlagD() {
        return flagD;
    }

    /**
     * 轧管确认标志    0：没确认  1：确认
     * @param flagD value
     */
    public void setFlagD(String flagD) {
        this.flagD = flagD;
    }

    /**
     * 镦拔扩确认标志  0：没确认  1：确认
     * @return value
     */
    public String getFlagE() {
        return flagE;
    }

    /**
     * 镦拔扩确认标志  0：没确认  1：确认
     * @param flagE value
     */
    public void setFlagE(String flagE) {
        this.flagE = flagE;
    }

    /**
     * 热处理确认标志  0：没确认  1：确认
     * @return value
     */
    public String getFlagF() {
        return flagF;
    }

    /**
     * 热处理确认标志  0：没确认  1：确认
     * @param flagF value
     */
    public void setFlagF(String flagF) {
        this.flagF = flagF;
    }

    /**
     * 加工确认标志  0：没确认  1：确认
     * @return value
     */
    public String getFlagG() {
        return flagG;
    }

    /**
     * 加工确认标志  0：没确认  1：确认
     * @param flagG value
     */
    public void setFlagG(String flagG) {
        this.flagG = flagG;
    }

    /**
     * 接箍加工确认标志  0：没确认  1：确认
     * @return value
     */
    public String getFlagH() {
        return flagH;
    }

    /**
     * 接箍加工确认标志  0：没确认  1：确认
     * @param flagH value
     */
    public void setFlagH(String flagH) {
        this.flagH = flagH;
    }

    /**
     * 理化是否首日检 0否  1是
     * @return value
     */
    public String getPicFdCheck() {
        return picFdCheck;
    }

    /**
     * 理化是否首日检 0否  1是
     * @param picFdCheck value
     */
    public void setPicFdCheck(String picFdCheck) {
        this.picFdCheck = picFdCheck;
    }

    /**
     * 水压是否首日检 0否  1是
     * @return value
     */
    public String getWicFdCheck() {
        return wicFdCheck;
    }

    /**
     * 水压是否首日检 0否  1是
     * @param wicFdCheck value
     */
    public void setWicFdCheck(String wicFdCheck) {
        this.wicFdCheck = wicFdCheck;
    }

    /**
     * 成分是否首日检 0否  1是
     * @return value
     */
    public String getCicFdCheck() {
        return cicFdCheck;
    }

    /**
     * 成分是否首日检 0否  1是
     * @param cicFdCheck value
     */
    public void setCicFdCheck(String cicFdCheck) {
        this.cicFdCheck = cicFdCheck;
    }
}
